Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

  1. #1

    Default Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    I am getting this:

    Code:
    Could not start process Unable to create io-slave:
    
     klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so
    from trying to run a font install from within Font Management-System Settings but it also comes up on other occasions (sometimes in Yast)

    I have seen suggesting running zypper dup but is that for Leap too? If I do invoke this from within the terminal I get a massive list of files to upgrade/downgrade/new etc etc.

    I have the following repos:

    | Enabled | GPG Check | Refresh | Priority | Type | URI | Service ---+-------------------------------------+------------------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------------+-------- 1 | download.opensuse.org-Apps | openSUSE BuildService - GNOME:Apps | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 2 | download.opensuse.org-Wine_1 | openSUSE BuildService - Wine CVS Builds | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 3 | download.opensuse.org-database | openSUSE BuildService - Database | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 4 | download.opensuse.org-mozilla | openSUSE BuildService - Mozilla | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 5 | download.opensuse.org-non-oss_1 | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ | 6 | download.opensuse.org-non-oss_2 | Update Repository (Non-Oss) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/ | 7 | download.opensuse.org-oss_3 | Main Repository (DEBUG) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/debug/d...42.1/repo/oss/ | 8 | download.opensuse.org-oss_4 | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.1/repo/oss/ | 9 | download.opensuse.org-oss_5 | Main Repository (Sources) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/source/...42.1/repo/oss/ | 10 | download.opensuse.org-oss_6 | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.1/oss | 11 | download.opensuse.org-perl | openSUSE BuildService - devel:languageserl | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 12 | download.opensuse.org-python | openSUSE BuildService - devel:languagesython | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 13 | geeko.ioda.net-amd-fglrx | AMD/ATI Graphics Drivers | Yes | (r ) Yes | Yes | 99 | rpm-md | http://geeko.ioda.net/mirror/amd-fgl...USE_Leap_42.1/ | 14 | http-download.opensuse.org-07c75b4a | KDE:Extra | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.1/ | 15 | openSUSE:Leap:42.1 | openSUSE:Leap:42.1 | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.1/repo/oss/ | 16 | opensuse-guide.org-repo | Libdvdcss Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/ | 17 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.1/
    Last edited by enquirer44; 10-Nov-2015 at 07:54. Reason: added repo stuff

  2. #2

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by enquirer44 View Post
    I am getting this:

    Code:
    Could not start process Unable to create io-slave:
    
     klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so
    from trying to run a font install from within Font Management-System Settings
    Does this also occur on a fresh user account?

    Does the file exist?

    Try to reinstall kio-core:
    Code:
    sudo zypper in -f kio-core
    Try to run "kbuildsycoca5 --no-incremental" as user.

    If that doesn't help:
    Run the corresponding application in a terminal window and see whether you get some output.
    And post the output of:
    Code:
    ldd /usr/lib64/qt5/plugins/kf5/kio/file.so
    but it also comes up on other occasions (sometimes in Yast)
    I don't see why it should come up in YaST. YaST is no KDE application.

    I have seen suggesting running zypper dup but is that for Leap too? If I do invoke this from within the terminal I get a massive list of files to upgrade/downgrade/new etc etc.
    Normally you should only run "zypper dup" to upgrade to a different distribution version.

    But it can also be used to bring back your system to a consistent state if you messed it up by adding additional repos. E.g. remove all repos except the standard ones, and a "zypper dup" will (hopefully) put your system back to the Standard release.

    Unfortunately the layout of your posted repo list is completely messed up, so it's hard to give specific advice.
    You should use [CODE]tags, not [QUOTE] tags for such output.
    Last edited by wolfi323; 10-Nov-2015 at 08:11.

  3. #3

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Thanks. Before we get into the rest of this are there any repos on this list I should delete?

    Reinstalled the file and didn't help.

    Code:
    ldd /usr/lib64/qt5/plugins/kf5/kio/file.so
    is

    Code:
    Password:  linux-yz8a:~ # ldd /usr/lib64/qt5/plugins/kf5/kio/file.so         linux-vdso.so.1 (0x00007fff9bbf9000)         libKF5KIOCore.so.5 => /usr/lib64/libKF5KIOCore.so.5 (0x00007fea7158e000)         libacl.so.1 => /lib64/libacl.so.1 (0x00007fea71385000)         libKF5I18n.so.5 => /usr/lib64/libKF5I18n.so.5 (0x00007fea71152000)         libKF5CoreAddons.so.5 => /usr/lib64/libKF5CoreAddons.so.5 (0x00007fea70ecf000)         libKF5ConfigCore.so.5 => /usr/lib64/libKF5ConfigCore.so.5 (0x00007fea70c73000)         libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007fea70599000)         libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007fea70217000)         libc.so.6 => /lib64/libc.so.6 (0x00007fea6fe70000)         libKF5Service.so.5 => /usr/lib64/libKF5Service.so.5 (0x00007fea6fbdb000)         libQt5Network.so.5 => /usr/lib64/libQt5Network.so.5 (0x00007fea6f884000)         libQt5Xml.so.5 => /usr/lib64/libQt5Xml.so.5 (0x00007fea6f646000)         libKF5DBusAddons.so.5 => /usr/lib64/libKF5DBusAddons.so.5 (0x00007fea6f434000)         libQt5DBus.so.5 => /usr/lib64/libQt5DBus.so.5 (0x00007fea6f1b4000)         libattr.so.1 => /lib64/libattr.so.1 (0x00007fea6efaf000)         libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fea6ed91000)         libm.so.6 => /lib64/libm.so.6 (0x00007fea6ea90000)         libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fea6e879000)         libz.so.1 => /lib64/libz.so.1 (0x00007fea6e662000)         libicui18n.so.52.1 => /usr/lib64/libicui18n.so.52.1 (0x00007fea6e24e000)         libicuuc.so.52.1 => /usr/lib64/libicuuc.so.52.1 (0x00007fea6decf000)         libpcre16.so.0 => /usr/lib64/libpcre16.so.0 (0x00007fea6dc6b000)         libdl.so.2 => /lib64/libdl.so.2 (0x00007fea6da67000)         libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007fea6d758000)         librt.so.1 => /lib64/librt.so.1 (0x00007fea6d54f000)         /lib64/ld-linux-x86-64.so.2 (0x00007fea71b25000)         libssl.so.1.0.0 => /lib64/libssl.so.1.0.0 (0x00007fea6d2e8000)         libcrypto.so.1.0.0 => /lib64/libcrypto.so.1.0.0 (0x00007fea6cec4000)         libQt5X11Extras.so.5 => /usr/lib64/libQt5X11Extras.so.5 (0x00007fea6ccc0000)         libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007fea6ca79000)         libicudata.so.52.1 => /usr/lib64/libicudata.so.52.1 (0x00007fea6c877000)                                                                                     libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007fea6c60b000)                   libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007fea6bede000)         libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007fea6bca1000)         libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007fea6ba41000)         libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007fea6b7af000)         libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fea6b518000)         libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007fea6b2ef000)         libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007fea6b0c4000)         libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007fea6ae96000)         libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fea6ac84000)         libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007fea6aa80000)         libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fea6a87a000)         libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007fea6a678000)         libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fea6a339000)         libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007fea6a121000)         libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007fea69f1c000)         libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007fea69d18000)         libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007fea69b15000)         libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007fea6990f000)         libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fea696ee000)         libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007fea694eb000)         libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007fea692e5000)         libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007fea690d5000)         libbz2.so.1 => /usr/lib64/libbz2.so.1 (0x00007fea68ec6000)         libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fea68cc1000) linux-yz8a:~ #
    seems complicated - can't make head or tail of this.

  4. #4

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by enquirer44 View Post
    Thanks. Before we get into the rest of this are there any repos on this list I should delete?
    The repos in your list should not cause such a problem, I think.

    seems complicated - can't make head or tail of this.
    Yeah, especially without line feeds...

    But it looks like all necessary libraries are found.

  5. #5

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Hi,

    I am trying to use plasma today and saw this error when I launch some application.
    I was able to solve it by right clicking the k menu button and in edit application
    under edit click the restore to system menu.
    People who do not break things first will never learn to create anything

  6. #6

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by conram View Post
    under edit click the restore to system menu.
    Well, this will remove all personal customizations to the menu, and might help if you created invalid menu entries or otherwise messed up the menu.

    But TBH, I don't see how it should help here with this particular error...

  7. #7

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by wolfi323 View Post
    Well, this will remove all personal customizations to the menu, and might help if you created invalid menu entries or otherwise messed up the menu.

    But TBH, I don't see how it should help here with this particular error...
    I hear you, this could happen probably when you fresh install leaving the /home directory untouched.
    without cleaning which happened here during the installation of leap.
    This machine here in question used to have a kde4X prior to installation of leap though was occasionally
    use because xfce is being used as the main os. With the new leap installation nothing was customized inside
    plasma.
    People who do not break things first will never learn to create anything

  8. #8

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    I have this same problem with kio plugin for baloo. So much, that I can't use Dolphin at all, and I had to go back to using Konqueror instead.

    For the record, these plugins fail:

    /usr/lib64/qt5/plugins/kf5/kio/timeline.so
    /usr/lib64/qt5/plugins/kf5/kio/trash.so
    /usr/lib64/qt5/plugins/kf5/kio/file.so

    I checked versions, they are all 5.15.0, up-to-date. Dolphin is 15.08.2.

  9. #9

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by asoliverez View Post
    I have this same problem with kio plugin for baloo. So much, that I can't use Dolphin at all, and I had to go back to using Konqueror instead.
    Does it work in a fresh user account?

    How do you start dolphin?
    Try running it in Konsole and see whether you get more detailed output.

    Maybe you have old KDE4 menu entries left that cause this?
    Try to remove/rename ~/.local/share/applications/.
    Or maybe you are using launcher icons from KDE4 in your Desktop folder?

  10. #10

    Default Re: Unable to create io-slave: klauncher said: Error loading 'kio_file'.

    Quote Originally Posted by wolfi323 View Post
    Does it work in a fresh user account?

    How do you start dolphin?
    Try running it in Konsole and see whether you get more detailed output.

    Maybe you have old KDE4 menu entries left that cause this?
    Try to remove/rename ~/.local/share/applications/.
    Or maybe you are using launcher icons from KDE4 in your Desktop folder?
    Dolphin is version 15.08, I started it from krunner and from terminal. Here is more output.


    Code:
    asoliver@zeon:~> dolphin --version
    dolphin 15.08.2
    asoliver@zeon:~> dolphin
    "Trying to convert empty KLocalizedString to QString."
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/trash.so'.\n"
    "Could not start process Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/trash.so'.\n."
    "Could not start process Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/trash.so'.\n."
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/timeline.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    couldn't create slave: "Unable to create io-slave:\nklauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.\n"
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap
    QPixmap::scaled: Pixmap is a null pixmap

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •